java.lang

## Enum System.Logger.Level

- java.lang.Object
- - java.lang.Enum<System.Logger.Level>
  - - java.lang.System.Logger.Level

- All Implemented Interfaces:
    Serializable, Comparable<System.Logger.Level>
  Enclosing interface:
    System.Logger

      public static enum System.Logger.Level
      extends Enum<System.Logger.Level>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALL`
    `DEBUG`
    `ERROR`
    `INFO`
    `OFF`
    `TRACE`
    `WARNING`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()`
    `int` | `getSeverity()`
    `static System.Logger.Level` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static System.Logger.Level[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALL

          public static final System.Logger.Level ALL

    - #### TRACE

          public static final System.Logger.Level TRACE

    - #### DEBUG

          public static final System.Logger.Level DEBUG

    - #### INFO

          public static final System.Logger.Level INFO

    - #### WARNING

          public static final System.Logger.Level WARNING

    - #### ERROR

          public static final System.Logger.Level ERROR

    - #### OFF

          public static final System.Logger.Level OFF

  - ### Method Detail

    - #### values

          public static System.Logger.Level[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (System.Logger.Level c : System.Logger.Level.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static System.Logger.Level valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getName

          public final String getName()

    - #### getSeverity

          public final int getSeverity()

Copyright © 2025 API Design. All Rights Reserved.